Show / Hide Table of Contents

# AsyncTransformChildrenChangedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTransformChildrenChangedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncTransformChildrenChangedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnTransformChildrenChangedAsyncHandler() |
GetOnTransformChildrenChangedAsyncHandler(CancellationToken) |
OnTransformChildrenChangedAsync() |
OnTransformChildrenChangedAsync(CancellationToken) |

### Methods

#### GetOnTransformChildrenChangedAsyncHandler()

    public IAsyncOnTransformChildrenChangedHandler GetOnTransformChildrenChangedAsyncHandler()

##### Returns

IAsyncOnTransformChildrenChangedHandler

#### GetOnTransformChildrenChangedAsyncHandler(CancellationToken)

    public IAsyncOnTransformChildrenChangedHandler GetOnTransformChildrenChangedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnTransformChildrenChangedHandler

#### OnTransformChildrenChangedAsync()

    public UniTask OnTransformChildrenChangedAsync()

##### Returns

UniTask

#### OnTransformChildrenChangedAsync(CancellationToken)

    public UniTask OnTransformChildrenChangedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>